import { OnChanges, SimpleChanges } from '@angular/core';
import { AbstractControl, FormBuilder, FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { SaffronAutoCompleteModel } from './models/saffron-auto-complete.model';
import { MatOption } from '@angular/material/core';
import * as i0 from "@angular/core";
export declare class SaffronAutoCompleteComponent implements OnChanges {
    private fb;
    formGroup: FormGroup;
    controlName: string;
    options: SaffronAutoCompleteModel[];
    placeHolder: string;
    defaultText: string;
    internalFormGroup: FormGroup;
    filteredOptions: Observable<SaffronAutoCompleteModel[]>;
    control: AbstractControl;
    constructor(fb: FormBuilder);
    ngOnChanges(changes: SimpleChanges): void;
    private setControl;
    setDefault(): Promise<void>;
    optionSelected(matOption: MatOption): void;
    private _filter;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronAutoCompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronAutoCompleteComponent, "saffron-auto-complete", never, { "formGroup": { "alias": "formGroup"; "required": false; }; "controlName": { "alias": "controlName"; "required": false; }; "options": { "alias": "options"; "required": false; }; "placeHolder": { "alias": "placeHolder"; "required": false; }; }, {}, never, never, true, never>;
}
